#
# spec file for package FAQ-OMatic
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        CGI-based system that automates the process of maintaining a FAQ
License:        GPL-2.0+
Group:          Development/Languages/Perl
Name:           FAQ-OMatic
Version:        2.721
Release:        9.6
Source0:        http://downloads.sourceforge.net/project/faqomatic/faqomatic-stable/2.721/FAQ-OMatic-2.721.tar.gz
# Source0-md5:	44a0b0fbe58d07ee3b54c21434829514
Url:            http://faqomatic.sourceforge.net/
Patch0:         faqomatic-tmp-pass.patch
Patch1:         %{name}_redirect.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-Module-Build
BuildRequires:  perl-macros
Requires:       apache2
Requires:       rcs
Obsoletes:      perl-FAQ-OMatic

#%define         appdir		/home/services/httpd/cgi-bin
%define         appdir		/srv/www/cgi-bin
# TODO (after providing webapp config)
#define         appdir		/var/lib/%{name}

%description
The Faq-O-Matic is a CGI-based system that automates the process of
maintaining a FAQ (or Frequently Asked Questions list). It allows
visitors to your FAQ to take part in keeping it up-to-date. A
permission system also makes it useful as a help-desk application,
bug-tracking database, or documentation system.

%prep
%setup -q
%patch0
%patch1

%build
#%{__perl} Makefile.PL \
#	INSTALLDIRS=vendor
#
#%{__make}

perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"  
make  
make test  

sed -i -e 's,/usr/local/share/perl5,%{perl_vendorlib},' fom

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{appdir}/fom-meta
install -d $RPM_BUILD_ROOT%{appdir}/fom-meta
make DESTDIR=$RPM_BUILD_ROOT install_vendor  
#%perl_process_packlist  

#%{__make} pure_install \
#	DESTDIR=$RPM_BUILD_ROOT

install fom $RPM_BUILD_ROOT/%{appdir}
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%post
#ln -s %{perl_vendorlib}/auto/FAQ/OMatic/.packlist %{perl_lib}/autoFAQ/OMatic/.packlist
echo "Use password from %{_docdir}/%{name}-%{version}/fom_pass.txt.gz to activate your FAQ-OMatic."
echo "I.e.: gzip -cd %{_docdir}/%{name}-%{version}/fom_pass.txt.gz or sth like that."

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README fom_pass.txt
%attr(755,wwwrun,www) %{appdir}/fom
%attr(775,wwwrun,www) %dir %{appdir}/fom-meta
%{perl_vendorlib}/FAQ
%{perl_vendorarch}/auto/FAQ
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Tue Dec  6 2016 chris@computersalat.de
- fix for boo#1011772
  * add FAQ-OMatic_redirect.patch
- format spec file
- rebase faqomatic-tmp-pass.patch
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
